Main Page | Data Structures | File List | Data Fields | Globals | Related Pages

# cfg Struct Reference

`#include <php_java.h>`

## Detailed Description

The following structure contains shared variables.

## Data Fields
sockaddr_in | saddr
int | cid
| The process id of the backend, used when java.socketname, java.hosts and java.servlet are off.
int | err
| The file descriptor of the backend, used when java.socketname, java.hosts and java.servlet are off.
char * | sockname
| The java.socketname.
char * | default_sockname
| The default socketname.
char * | hosts
| The java.hosts list.
char * | classpath
| The java.classpath.
char * | ld_library_path
| The java.libpath.
char * | wrapper
| The java.wrapper.
char * | policy
| The java.policy.
char * | vm
| The java.java.
char * | vm_home
| The java.java_home.
char * | logLevel
| The java.log_level.
unsigned short | logLevel_val
| The java.log_level as a number.
char * | logFile
| The java.log_file.
short | can_fork
| 1: if java.socketname, java.hosts and java.servlet are not set
char * | servlet
| The java.servlet, defaults to /JavaBridge/JavaBridge.php.
short | servlet_is_default
short | is_cgi_servlet
| When the environment variable X_JAVABRIDGE_OVERRIDE_HOSTS is set to "/" or "host:port//Context/Servlet, the values java.servlet and java.hosts are taken from this environment variable.
short | is_fcgi_servlet
| When the environment variable X_JAVABRIDGE_OVERRIDE_HOSTS is set to "/" or "host:port//Context/Servlet, the values java.servlet and java.hosts are taken from this environment variable.
short | socketname_set
| 1: local backend; 0: backend from the host list
short | extJavaCompatibility
| 0: Compatibility with ext/java is off (default), 1: on
short | persistent_connections

## Field Documentation

short cfg::is_cgi_servlet

| When the environment variable X_JAVABRIDGE_OVERRIDE_HOSTS is set to "/" or "host:port//Context/Servlet, the values java.servlet and java.hosts are taken from this environment variable. Used by FastCGI and CGI only.

short cfg::is_fcgi_servlet

| When the environment variable X_JAVABRIDGE_OVERRIDE_HOSTS is set to "/" or "host:port//Context/Servlet, the values java.servlet and java.hosts are taken from this environment variable. Used by FastCGI and CGI only.

The documentation for this struct was generated from the following file:

- php_java.h